import useEmblaCarousel, { EmblaOptionsType } from "embla-carousel-react";

type Props = {
    children: ReactComponent
};

export default function Slider(props: React.PropsWithChildren<Props>) {
    debugger;
    const [emblaRef] = useEmblaCarousel({
        slidesToScroll: 1,
        align: "start"
    });

    return (
        <div className="overflow-hidden" ref={emblaRef}>
            <div className="flex gap-10">{props.children}</div>
        </div>
    );
}
